'use strict';

exports.__esModule = true;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var d3 = (0, _assign2['default'])({}, require('d3-selection'));

var Grid = function (_React$Component) {
  (0, _inherits3['default'])(Grid, _React$Component);

  function Grid(props) {
    (0, _classCallCheck3['default'])(this, Grid);

    var _this = (0, _possibleConstructorReturn3['default'])(this, _React$Component.call(this, props));

    _this.renderGrid = _this.renderGrid.bind(_this);
    return _this;
  }

  Grid.prototype.componentDidMount = function componentDidMount() {
    this.renderGrid();
  };

  Grid.prototype.componentDidUpdate = function componentDidUpdate() {
    this.renderGrid();
  };

  Grid.prototype.renderGrid = function renderGrid() {
    var node = _reactDom2['default'].findDOMNode(this);
    d3.select(node).call(this.props.grid);
  };

  Grid.prototype.render = function render() {
    var translate = 'translate(0, ' + this.props.height + ')';
    return _react2['default'].createElement('g', { className: 'y-grid', transform: this.props.gridType === 'x' ? translate : '' });
  };

  return Grid;
}(_react2['default'].Component);

Grid.propTypes = {
  height: _propTypes2['default'].number,
  grid: _propTypes2['default'].func,
  gridType: _propTypes2['default'].oneOf(['x', 'y'])
};

exports['default'] = Grid;
module.exports = exports['default'];
//# sourceMappingURL=Grid.js.map